%define upstream_name    Perl-Tidy
%define upstream_version 20201207

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parses and beautifies perl source
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module makes the functionality of the perltidy utility available to
perl scripts. Any or all of the input parameters may be omitted, in which
case the @ARGV array will be used to provide input parameters as described
in the perltidy(1) man page.

For example, the perltidy script is basically just this:

    use Perl::Tidy;
    Perl::Tidy::perltidy();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc COPYING META.json META.yml MYMETA.yml examples
%{_bindir}/perltidy
%{_mandir}/man1/perltidy.*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Dec 07 2020 tv <tv> 20201207.0.0-1.mga8
+ Revision: 1654085
- update to 20201207

* Thu Dec 03 2020 tv <tv> 20201202.0.0-1.mga8
+ Revision: 1652072
- update to 20201202

* Tue Sep 29 2020 tv <tv> 20201001.0.0-1.mga8
+ Revision: 1631044
- update to 20201001

* Tue Sep 08 2020 tv <tv> 20200907.0.0-1.mga8
+ Revision: 1623606
- update to 20200907

* Mon Aug 24 2020 tv <tv> 20200822.0.0-1.mga8
+ Revision: 1618315
- update to 20200822

* Sun Jun 21 2020 shlomif <shlomif> 20200619.0.0-1.mga8
+ Revision: 1598240
- update to 20200619

* Wed Feb 19 2020 umeabot <umeabot> 20200110.0.0-2.mga8
+ Revision: 1543015
- Mageia 8 Mass Rebuild

* Fri Jan 10 2020 tv <tv> 20200110.0.0-1.mga8
+ Revision: 1477467
- update to 20200110

* Thu Dec 05 2019 tv <tv> 20191203.0.0-1.mga8
+ Revision: 1464514
- update to 20191203

* Tue Sep 17 2019 tv <tv> 20190915.0.0-1.mga8
+ Revision: 1443061
- update to 20190915

* Sun Jun 30 2019 tv <tv> 20190601.0.0-1.mga8
+ Revision: 1416436
- update to 20190601

* Tue Nov 20 2018 tv <tv> 20181120.0.0-1.mga7
+ Revision: 1332420
- update to 20181120

* Sun Nov 18 2018 tv <tv> 20181117.0.0-1.mga7
+ Revision: 1330626
- update to 20181117

* Thu Sep 20 2018 umeabot <umeabot> 20180220.0.0-2.mga7
+ Revision: 1285716
- Mageia 7 Mass Rebuild

* Fri Mar 16 2018 kekepower <kekepower> 20180220.0.0-1.mga7
+ Revision: 1209938
- imported package perl-Perl-Tidy

